﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.ComponentModel;
using System.Collections.Generic;

/// <summary>
/// OjbData 的摘要说明
/// </summary>
[DataObject]
public class OjbData
{
    public OjbData()
    {
        //
        // TODO: 在此处添加构造函数逻辑
        //
    }

    [DataObjectMethod(DataObjectMethodType.Select, true)]
    public DataTable Get()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("id", typeof(string));
        dt.Columns.Add("name", typeof(string));
        dt.Columns.Add("age", typeof(string));
        dt.Columns.Add("salary", typeof(string));
        dt.Columns.Add("group", typeof(string));

        for (int i = 0; i < 666; i++)
        {
            DataRow dr = dt.NewRow();
            dr[0] = "ID：" + i.ToString().PadLeft(4, '0');
            dr[1] = "名字：" + i.ToString().PadLeft(4, '0');
            dr[2] = "年龄：" + new Random(i).Next(20, 30);
            dr[3] = "周薪：" + new Random(i).Next(10000, 99999);
            dr[4] = "分组：" + (int)(i / 7);

            dt.Rows.Add(dr);
        }

        return dt;
    }

    public DataTable GetHierarchy()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("id", typeof(int));
        dt.Columns.Add("parentId", typeof(int));
        dt.Columns.Add("name", typeof(string));

        dt.Rows.Add(1, 0, "中国");
        dt.Rows.Add(2, 1, "北京");
        dt.Rows.Add(3, 1, "上海");
        dt.Rows.Add(4, 1, "深圳");
        dt.Rows.Add(5, 0, "美国");
        dt.Rows.Add(6, 5, "华盛顿");
        dt.Rows.Add(7, 5, "纽约");
        dt.Rows.Add(8, 2, "东城");
        dt.Rows.Add(9, 2, "西城");
        dt.Rows.Add(10, 2, "崇文");
        dt.Rows.Add(11, 2, "宣武");

        return dt;
    }

    public DataTable Table()
    {
        DataTable dt = new DataTable();
        DataColumn dc1 = new DataColumn("Name");
        dt.Columns.Add(dc1);
        DataColumn dc2 = new DataColumn("Age");
        dt.Columns.Add(dc2);
        DataColumn dc3 = new DataColumn("Designation");
        dt.Columns.Add(dc3);

        DataRow dr1 = dt.NewRow();
        dr1["Name"] = "依韵";
        dr1["Age"] = "23";
        dr1["Designation"] = "正义传说";
        dt.Rows.Add(dr1);

        DataRow dr2 = dt.NewRow();
        dr2["Name"] = "喜儿";
        dr2["Age"] = "26";
        dr2["Designation"] = "杀戮传说";
        dt.Rows.Add(dr2);


        DataRow dr3 = dt.NewRow();
        dr3["Name"] = "暮色";
        dr3["Age"] = "21";
        dr3["Designation"] = "无血传说";
        dt.Rows.Add(dr3);


        DataRow dr4 = dt.NewRow();
        dr4["Name"] = "紫衫";
        dr4["Age"] = "18";
        dr4["Designation"] = "神话传说";
        dt.Rows.Add(dr4);

        DataRow dr5 = dt.NewRow();
        dr5["Name"] = "小剑";
        dr5["Age"] = "29";
        dr5["Designation"] = "不败传说";
        dt.Rows.Add(dr5);

        DataRow dr6 = dt.NewRow();
        dr6["Name"] = "铭儿";
        dr6["Age"] = "23";
        dr6["Designation"] = "唯情";
        dt.Rows.Add(dr6);

        DataRow dr7 = dt.NewRow();
        dr7["Name"] = "月儿";
        dr7["Age"] = "24";
        dr7["Designation"] = "万法全通";
        dt.Rows.Add(dr7);

        DataRow dr8 = dt.NewRow();
        dr8["Name"] = "群芳妒";
        dr8["Age"] = "22";
        dr8["Designation"] = "自我";
        dt.Rows.Add(dr8);

        DataRow dr9 = dt.NewRow();
        dr9["Name"] = "情衣";
        dr9["Age"] = "27";
        dr9["Designation"] = "唯我";
        dt.Rows.Add(dr9);

        DataRow dr01 = dt.NewRow();
        dr01["Name"] = "依韵";
        dr01["Age"] = "23";
        dr01["Designation"] = "正义传说";
        dt.Rows.Add(dr01);

        DataRow dr02 = dt.NewRow();
        dr02["Name"] = "喜儿";
        dr02["Age"] = "26";
        dr02["Designation"] = "杀戮传说";
        dt.Rows.Add(dr02);


        DataRow dr03 = dt.NewRow();
        dr03["Name"] = "暮色";
        dr03["Age"] = "21";
        dr03["Designation"] = "无血传说";
        dt.Rows.Add(dr03);


        DataRow dr04 = dt.NewRow();
        dr04["Name"] = "紫衫";
        dr04["Age"] = "18";
        dr04["Designation"] = "神话传说";
        dt.Rows.Add(dr04);

        DataRow dr05 = dt.NewRow();
        dr05["Name"] = "小剑";
        dr05["Age"] = "29";
        dr05["Designation"] = "不败传说";
        dt.Rows.Add(dr05);

        DataRow dr06 = dt.NewRow();
        dr06["Name"] = "铭儿";
        dr06["Age"] = "23";
        dr06["Designation"] = "唯情";
        dt.Rows.Add(dr06);

        DataRow dr07 = dt.NewRow();
        dr07["Name"] = "月儿";
        dr07["Age"] = "24";
        dr07["Designation"] = "万法全通";
        dt.Rows.Add(dr07);

        DataRow dr08 = dt.NewRow();
        dr08["Name"] = "群芳妒";
        dr08["Age"] = "22";
        dr08["Designation"] = "自我";
        dt.Rows.Add(dr08);

        DataRow dr09 = dt.NewRow();
        dr09["Name"] = "情衣";
        dr09["Age"] = "27";
        dr09["Designation"] = "唯我";
        dt.Rows.Add(dr09);

        DataRow dr11 = dt.NewRow();
        dr11["Name"] = "依韵";
        dr11["Age"] = "23";
        dr11["Designation"] = "正义传说";
        dt.Rows.Add(dr11);

        DataRow dr12 = dt.NewRow();
        dr12["Name"] = "喜儿";
        dr12["Age"] = "26";
        dr12["Designation"] = "杀戮传说";
        dt.Rows.Add(dr12);


        DataRow dr13 = dt.NewRow();
        dr13["Name"] = "暮色";
        dr13["Age"] = "21";
        dr13["Designation"] = "无血传说";
        dt.Rows.Add(dr13);


        DataRow dr14 = dt.NewRow();
        dr14["Name"] = "紫衫";
        dr14["Age"] = "18";
        dr14["Designation"] = "神话传说";
        dt.Rows.Add(dr14);

        DataRow dr15 = dt.NewRow();
        dr15["Name"] = "小剑";
        dr15["Age"] = "29";
        dr15["Designation"] = "不败传说";
        dt.Rows.Add(dr15);

        DataRow dr16 = dt.NewRow();
        dr16["Name"] = "铭儿";
        dr16["Age"] = "23";
        dr16["Designation"] = "唯情";
        dt.Rows.Add(dr16);

        DataRow dr17 = dt.NewRow();
        dr17["Name"] = "月儿";
        dr17["Age"] = "24";
        dr17["Designation"] = "万法全通";
        dt.Rows.Add(dr17);

        DataRow dr18 = dt.NewRow();
        dr18["Name"] = "群芳妒";
        dr18["Age"] = "22";
        dr18["Designation"] = "自我";
        dt.Rows.Add(dr18);

        DataRow dr19 = dt.NewRow();
        dr19["Name"] = "情衣";
        dr19["Age"] = "27";
        dr19["Designation"] = "唯我";
        dt.Rows.Add(dr19);

        DataRow dr21 = dt.NewRow();
        dr21["Name"] = "依韵";
        dr21["Age"] = "23";
        dr21["Designation"] = "正义传说";
        dt.Rows.Add(dr21);

        DataRow dr22 = dt.NewRow();
        dr22["Name"] = "喜儿";
        dr22["Age"] = "26";
        dr22["Designation"] = "杀戮传说";
        dt.Rows.Add(dr22);


        DataRow dr23 = dt.NewRow();
        dr23["Name"] = "暮色";
        dr23["Age"] = "21";
        dr23["Designation"] = "无血传说";
        dt.Rows.Add(dr23);


        DataRow dr24 = dt.NewRow();
        dr24["Name"] = "紫衫";
        dr24["Age"] = "18";
        dr24["Designation"] = "神话传说";
        dt.Rows.Add(dr24);

        DataRow dr25 = dt.NewRow();
        dr25["Name"] = "小剑";
        dr25["Age"] = "29";
        dr25["Designation"] = "不败传说";
        dt.Rows.Add(dr25);

        DataRow dr26 = dt.NewRow();
        dr26["Name"] = "铭儿";
        dr26["Age"] = "23";
        dr26["Designation"] = "唯情";
        dt.Rows.Add(dr26);

        DataRow dr27 = dt.NewRow();
        dr27["Name"] = "月儿";
        dr27["Age"] = "24";
        dr27["Designation"] = "万法全通";
        dt.Rows.Add(dr27);

        DataRow dr28 = dt.NewRow();
        dr28["Name"] = "群芳妒";
        dr28["Age"] = "22";
        dr28["Designation"] = "自我";
        dt.Rows.Add(dr28);

        DataRow dr29 = dt.NewRow();
        dr29["Name"] = "情衣";
        dr29["Age"] = "27";
        dr29["Designation"] = "唯我";
        dt.Rows.Add(dr29);

        DataRow dr31 = dt.NewRow();
        dr31["Name"] = "依韵";
        dr31["Age"] = "23";
        dr31["Designation"] = "正义传说";
        dt.Rows.Add(dr31);

        DataRow dr32 = dt.NewRow();
        dr32["Name"] = "喜儿";
        dr32["Age"] = "26";
        dr32["Designation"] = "杀戮传说";
        dt.Rows.Add(dr32);


        DataRow dr33 = dt.NewRow();
        dr33["Name"] = "暮色";
        dr33["Age"] = "21";
        dr33["Designation"] = "无血传说";
        dt.Rows.Add(dr33);


        DataRow dr34 = dt.NewRow();
        dr34["Name"] = "紫衫";
        dr34["Age"] = "18";
        dr34["Designation"] = "神话传说";
        dt.Rows.Add(dr34);

        DataRow dr35 = dt.NewRow();
        dr35["Name"] = "小剑";
        dr35["Age"] = "29";
        dr35["Designation"] = "不败传说";
        dt.Rows.Add(dr35);

        DataRow dr36 = dt.NewRow();
        dr36["Name"] = "铭儿";
        dr36["Age"] = "23";
        dr36["Designation"] = "唯情";
        dt.Rows.Add(dr36);

        DataRow dr37 = dt.NewRow();
        dr37["Name"] = "月儿";
        dr37["Age"] = "24";
        dr37["Designation"] = "万法全通";
        dt.Rows.Add(dr37);

        DataRow dr38 = dt.NewRow();
        dr38["Name"] = "群芳妒";
        dr38["Age"] = "22";
        dr38["Designation"] = "自我";
        dt.Rows.Add(dr38);

        DataRow dr39 = dt.NewRow();
        dr39["Name"] = "情衣";
        dr39["Age"] = "27";
        dr39["Designation"] = "唯我";
        dt.Rows.Add(dr39);

        DataRow dr41 = dt.NewRow();
        dr41["Name"] = "依韵";
        dr41["Age"] = "23";
        dr41["Designation"] = "正义传说";
        dt.Rows.Add(dr41);

        DataRow dr42 = dt.NewRow();
        dr42["Name"] = "喜儿";
        dr42["Age"] = "26";
        dr42["Designation"] = "杀戮传说";
        dt.Rows.Add(dr42);


        DataRow dr43 = dt.NewRow();
        dr43["Name"] = "暮色";
        dr43["Age"] = "21";
        dr43["Designation"] = "无血传说";
        dt.Rows.Add(dr43);


        DataRow dr44 = dt.NewRow();
        dr44["Name"] = "紫衫";
        dr44["Age"] = "18";
        dr44["Designation"] = "神话传说";
        dt.Rows.Add(dr44);

        DataRow dr45 = dt.NewRow();
        dr45["Name"] = "小剑";
        dr45["Age"] = "29";
        dr45["Designation"] = "不败传说";
        dt.Rows.Add(dr45);

        DataRow dr46 = dt.NewRow();
        dr46["Name"] = "铭儿";
        dr46["Age"] = "23";
        dr46["Designation"] = "唯情";
        dt.Rows.Add(dr46);

        DataRow dr47 = dt.NewRow();
        dr47["Name"] = "月儿";
        dr47["Age"] = "24";
        dr47["Designation"] = "万法全通";
        dt.Rows.Add(dr47);

        DataRow dr48 = dt.NewRow();
        dr48["Name"] = "群芳妒";
        dr48["Age"] = "22";
        dr48["Designation"] = "自我";
        dt.Rows.Add(dr48);

        DataRow dr49 = dt.NewRow();
        dr49["Name"] = "情衣";
        dr49["Age"] = "27";
        dr49["Designation"] = "唯我";
        dt.Rows.Add(dr49);

        DataRow dr51 = dt.NewRow();
        dr51["Name"] = "依韵";
        dr51["Age"] = "23";
        dr51["Designation"] = "正义传说";
        dt.Rows.Add(dr51);

        DataRow dr52 = dt.NewRow();
        dr52["Name"] = "喜儿";
        dr52["Age"] = "26";
        dr52["Designation"] = "杀戮传说";
        dt.Rows.Add(dr52);


        DataRow dr53 = dt.NewRow();
        dr53["Name"] = "暮色";
        dr53["Age"] = "21";
        dr53["Designation"] = "无血传说";
        dt.Rows.Add(dr53);


        DataRow dr54 = dt.NewRow();
        dr54["Name"] = "紫衫";
        dr54["Age"] = "18";
        dr54["Designation"] = "神话传说";
        dt.Rows.Add(dr54);

        DataRow dr55 = dt.NewRow();
        dr55["Name"] = "小剑";
        dr55["Age"] = "29";
        dr55["Designation"] = "不败传说";
        dt.Rows.Add(dr55);

        DataRow dr56 = dt.NewRow();
        dr56["Name"] = "铭儿";
        dr56["Age"] = "23";
        dr56["Designation"] = "唯情";
        dt.Rows.Add(dr56);

        DataRow dr57 = dt.NewRow();
        dr57["Name"] = "月儿";
        dr57["Age"] = "24";
        dr57["Designation"] = "万法全通";
        dt.Rows.Add(dr57);

        DataRow dr58 = dt.NewRow();
        dr58["Name"] = "群芳妒";
        dr58["Age"] = "22";
        dr58["Designation"] = "自我";
        dt.Rows.Add(dr58);

        DataRow dr59 = dt.NewRow();
        dr59["Name"] = "情衣";
        dr59["Age"] = "27";
        dr59["Designation"] = "唯我";
        dt.Rows.Add(dr59);

        return dt;

    }

    public DataTable SelectedMethod()
    {
        DataTable dt = new DataTable();
        DataColumn dc1 = new DataColumn("Name");
        dt.Columns.Add(dc1);
        DataColumn dc2 = new DataColumn("Age");
        dt.Columns.Add(dc2);
        DataColumn dc3 = new DataColumn("Designation");
        dt.Columns.Add(dc3);

        DataRow dr1 = dt.NewRow();
        dr1["Name"] = "依韵";
        dr1["Age"] = "23";
        dr1["Designation"] = "正义传说";
        dt.Rows.Add(dr1);

        DataRow dr2 = dt.NewRow();
        dr2["Name"] = "喜儿";
        dr2["Age"] = "26";
        dr2["Designation"] = "杀戮传说";
        dt.Rows.Add(dr2);


        DataRow dr3 = dt.NewRow();
        dr3["Name"] = "暮色";
        dr3["Age"] = "21";
        dr3["Designation"] = "无血传说";
        dt.Rows.Add(dr3);


        DataRow dr4 = dt.NewRow();
        dr4["Name"] = "紫衫";
        dr4["Age"] = "18";
        dr4["Designation"] = "神话传说";
        dt.Rows.Add(dr4);

        DataRow dr5 = dt.NewRow();
        dr5["Name"] = "小剑";
        dr5["Age"] = "29";
        dr5["Designation"] = "不败传说";
        dt.Rows.Add(dr5);

        DataRow dr6 = dt.NewRow();
        dr6["Name"] = "铭儿";
        dr6["Age"] = "23";
        dr6["Designation"] = "唯情";
        dt.Rows.Add(dr6);

        DataRow dr7 = dt.NewRow();
        dr7["Name"] = "月儿";
        dr7["Age"] = "24";
        dr7["Designation"] = "万法全通";
        dt.Rows.Add(dr7);

        DataRow dr8 = dt.NewRow();
        dr8["Name"] = "群芳妒";
        dr8["Age"] = "22";
        dr8["Designation"] = "自我";
        dt.Rows.Add(dr8);

        DataRow dr9 = dt.NewRow();
        dr9["Name"] = "情衣";
        dr9["Age"] = "27";
        dr9["Designation"] = "唯我";
        dt.Rows.Add(dr9);



        return dt;

    }

    public void DeletedMethod(string Name)
    {
        
    }

    public void UpdatedMethod(string Name, string Age, string Designation)
    {
 
    }

}
