﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;

namespace YYControls
{
    /// <summary>
    /// SingleRadioButton类，继承自RadioButto
    /// </summary>
    [ToolboxData(@"<{0}:SingleRadioButton runat='server'></{0}:SingleRadioButton>")]
    public class SingleRadioButton:RadioButton,IPostBackDataHandler
    {
        //public override string UniqueID
        //{
        //    get
        //    {
        //        string uniqueID = base.UniqueID;
        //        if (uniqueID.Contains("$"))
        //        {
        //            uniqueID = uniqueID.Substring(uniqueID.LastIndexOf("$") + 1);
        //        }
        //        return uniqueID;
        //    }
        //}

        public string GroupName
        {
            get
            {
                return ViewState["GroupName"] == null ? this.UniqueID : ViewState["GroupName"].ToString();
            }
            set
            {
                ViewState["GroupName"] = value;
            }
        }

        public string Text
        {
            get
            {
                return ViewState["_text"] == null ? "" : ViewState["_text"].ToString();
            }
            set
            {
                ViewState["_text"] = value;
            }
        }

        [DefaultValue(false)]
        public Boolean Checked
        {
            get
            {
                object obj2 = this.ViewState["_checked"];
                return ((obj2 != null) && ((bool)obj2));
            }
            set
            {
                ViewState["_checked"] = value;
            }
        }

        protected override void OnInit(EventArgs e)
        {
            Page.RegisterRequiresPostBack(this);
            base.OnInit(e);
        }

        protected override void Render(HtmlTextWriter writer)
        {
            string output = string.Empty;
            if (Checked)
            {
                //如果为True就设置为选择，否则不选中
                output = "<input id=\"" + this.ClientID + "\" type=\"radio\" name=\"" + GroupName + "\" checked=\"checked\" value=\"" + this.ClientID + "\" />";
                //output = "<asp:RadioButton ID=\"" + this.ClientID + "\" GroupName=\"" + GroupName + "\" Checked=\"true\" runat=\"server\" /> ";
            }
            else
            {
                output = "<input id=\"" + this.ClientID + "\" type=\"radio\" name=\"" + GroupName + "\"  value=\"" + this.ClientID + "\" />";
                //output = "<asp:RadioButton ID=\"" + this.ClientID + "\" GroupName=\"" + GroupName + "\" runat=\"server\" /> ";
            }

            //如果用户设置了Text属性就增加一个label标签（这里类似于asp:radioButton的Text属性的实现）
            if (!string.IsNullOrEmpty(Text))
            {
                output += "<label for=\"" + this.ClientID + "\">" + Text + "</label>";
            }

            writer.Write(output);

            //base.Render(writer);
        }

        protected virtual bool LoadPostData(string postDataKey, NameValueCollection postCollection)
        {
            bool flag = false;
            string str = postCollection[GroupName];

            //这里是关键,比较用户选择的那个radiobutton,如果为true的话就把该Check属性设置为true,否则为false.(后怎样把用户选择的值保存下来)
            bool flag2 = string.Equals(str, this.ClientID);
            flag = flag2 != this.Checked;
            this.Checked = flag2;

            return false;
        }

        bool IPostBackDataHandler.LoadPostData(string postDataKey, NameValueCollection postCollection)
        {
            return LoadPostData(postDataKey, postCollection);
        }

        public void RaisePostDataChangeEvent()
        {
            return;
        }

    }
}
